package com.mortals.xhx.module.business.model;

import com.mortals.xhx.module.business.model.vo.BusinessLicenseVo;
import lombok.Data;
/**
 * 营业执照信息实体对象
 *
 * @author zxfei
 * @date 2023-11-13
 */
@Data
public class BusinessLicenseEntity extends BusinessLicenseVo {
    private static final long serialVersionUID = 1L;

    /**
     * 经营者姓名
     */
    private String ProprietorName;
    /**
     * 营业执照号码
     */
    private String BusinessLicense;
    /**
     * 单位字号名称
     */
    private String TypeSizeName;
    /**
     * 开业日期
     */
    private String StartDate;
    /**
     * 组成形式如：个人经营
     */
    private String ComposingForm;
    /**
     * 经营场所
     */
    private String ManageLocation;
    /**
     * 经营范围
     */
    private String ManageRange;
    /**
     * 注册号
     */
    private String RegCode;
    /**
     * 证件号码
     */
    private String CredentialsCode;
    /**
     * 证件类型
     */
    private String CredentialsType;
    /**
     * 移动电话
     */
    private String ProprietorMobile;
    /**
     * 营业执照正本二维码base64编码
     */
    private String QrCodeOriginalBase64;
    /**
     * 营业执照副本二维码base64编码
     */
    private String QrCodeDuplicateBase64;
    /**
     * 注册资本
     */
    private String RegisteredCapital;
    /**
     * 实收资本
     */
    private String PaidupCapital;
    /**
     * 营业期限
     */
    private String EndDate;
    /**
     * 允许打印 正本 1允许 2不允许
     */
    private Integer dyZb;
    /**
     * 允许打印 副本 1允许 2不允许
     */
    private Integer dyFb;
    /**
     * 处理状态0未处理1已处理
     */
    private Integer status;
    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 签发日期
     */
    private String PermitPrintDate;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessLicenseEntity) {
            BusinessLicenseEntity tmp = (BusinessLicenseEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.ProprietorName = "";
        this.BusinessLicense = "";
        this.TypeSizeName = "";
        this.StartDate = "";
        this.ComposingForm = "";
        this.ManageLocation = "";
        this.ManageRange = "";
        this.RegCode = "";
        this.CredentialsCode = "";
        this.CredentialsType = "";
        this.ProprietorMobile = "";
        this.QrCodeOriginalBase64 = "";
        this.QrCodeDuplicateBase64 = "";
        this.RegisteredCapital = "";
        this.PaidupCapital = "";
        this.EndDate = "";
        this.dyZb = 0;
        this.dyFb = 0;
        this.status = 0;
        this.siteId = null;
        this.PermitPrintDate = "";
    }
}